---
layout: docs
menu: docs
title: Overview
permalink: /docs/
---

**Vega-Lite** is a high-level grammar for interactive graphics. It provides a concise JSON syntax for supporting rapid generation of interactive multi-view visualizations to support analysis. Vega-Lite can serve as a declarative format for describing and creating data visualizations. To use Vega-Lite, our compiler compiles a Vega-Lite specification into a lower-level, more detailed [Vega](https://vega.github.io/vega) specifications and rendered using Vega's compiler.

This documentation describes the [JSON specification language](#spec) and how to [use Vega-Lite visualizations]({{site.baseurl}}/usage/embed.html) in a web application.

<form action="https://google.com/search" method="get" class="search">
  <input type="hidden" name="q" value="site:https://vega.github.io/vega-lite/docs/">
  <input class="search" type="text" name="q" results="0" placeholder="Search Docs">
  <button type="submit">
    Search
  </button>
</form>

{:#toc}

## Table of Contents

Below is an overview of the documentation for Vega-Lite properties. See [the specification page](spec.html) for an overview of Vega-Lite specifications.

{% include docs_toc.md %}
